Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ArchiveEx::FileInfo Struct Reference

Information about a file/directory within the archive will be returned using a FileInfo struct. More...

`#include <OgreArchiveEx.h>`

List of all members.

## Public Attributes

char | szFilename [260]
| The file's full name.
int | iCompSize
| Compressed size.
int | iUncompSize
| Uncompressed size.
time_t | iLastMod
| Last time it was modified.

## Detailed Description

Information about a file/directory within the archive will be returned using a FileInfo struct.

See also:
  ArchiveEx

Definition at line 54 of file OgreArchiveEx.h.

## Member Data Documentation

int Ogre::ArchiveEx::FileInfo::iCompSize

| Compressed size. Definition at line 59 of file OgreArchiveEx.h.

time_t Ogre::ArchiveEx::FileInfo::iLastMod

| Last time it was modified. Definition at line 64 of file OgreArchiveEx.h.

int Ogre::ArchiveEx::FileInfo::iUncompSize

| Uncompressed size. Definition at line 61 of file OgreArchiveEx.h.

char Ogre::ArchiveEx::FileInfo::szFilename[260]

| The file's full name. Definition at line 56 of file OgreArchiveEx.h.

The documentation for this struct was generated from the following file:

- OgreArchiveEx.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:46 2004